%define name comix
%define version 4.0.4
%define summary Comic book viewer

Summary: %summary
Name: %name
Version: %version
Release: %mkrel 4
License: GPLv2+
Group: Office
URL: http://comix.sourceforge.net/
Source: http://downloads.sourceforge.net/comix/%name-%{version}.tar.xz
Source1: comix.py
Patch0: comix-4.0.0-disable-update-mime-db.patch
Patch1:	comix-PIL.patch
Patch2: remove-build-dep-check.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: python, python-imaging, jpeg-progs, pygtk2.0
BuildRequires: desktop-file-utils
Requires: python, jpeg-progs, pygtk2.0
Requires: python-pillow, python-pillow-qt


%description
Comix is a comic book viewer. It reads zip, rar, tar, tar.gz, and tar.bz2 
archives (often called .cbz, .cbr and .cbt) as well as normal image files.

%prep
%setup -q -n %{name}-%{version} 
%patch0 -p0
%patch1 -p1 -b .pil
%patch2 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_prefix}
%{__python} install.py install --dir %{buildroot}%{_prefix}

%find_lang %{name} --with-gnome

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications \
	--remove-category='Application' \
	--add-category='GNOME;GTK;X-MandrivaLinux-Office-Other' \
        %buildroot%_datadir/applications/*.desktop

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps/
install -m 644 images/48x48/%{name}.png %{buildroot}%{_datadir}/pixmaps/

install -m 755 %SOURCE1 %buildroot/%{_datadir}/comix/src/comix.py

%post
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_desktop_database}
%{clean_mime_database}

%clean 
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog COPYING README
%{_bindir}/comicthumb
%{_bindir}/comix
%{_datadir}/comix
%{_mandir}/man1/*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*comix.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/comix.xml


%changelog
* Wed Jul 29 2020 tex - 4.0.4-4pclos2020
- fix commix.py

* Thu Oct 24 2013 billybot <billybot> 4.0.4-3pclos2013
- patch for pillow

* Fri Aug 16 2013 billybot <billybot> 4.0.4-2pclos2013
- update python 2.7

* Mon Apr 06 2009 slick50 <lxgator@gmail.com> 4.0.4-1pclos2007
- update to 4.0.4

* Tue Dec 09 2008 slick50 <lxgator@gmail.com> 4.0.0-1pclos2007
- update to 4.0.0

* Fri Jun 02 2007 Texstar <texstar@gmail.com> 3.6.4-1pclos2007
- import into pclos 2007

* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org>
+ Revision: 33056
- New release


